#
%define		subver	beta1
Summary:	OpenVPN Radius Plugin
Name:		openvpn-plugin-radiusplugin
Version:	2.1a
Release:	0.%{subver}.2
License:	GPL v2
Group:		Applications
Source0:	http://www.nongnu.org/radiusplugin/radiusplugin_v%{version}_%{subver}.tar.gz
# Source0-md5:	e29cbc506ae3acd735dfecb4cd39ebaa
Patch0:		%{name}-makefile.patch
URL:		http://www.nongnu.org/radiusplugin/index.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libgcrypt-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openvpn-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/openvpn/plugins
%define		_sysconfdir	/etc/openvpn

%description
Plugin for OpenVPN providing Radius authentication and accounting
support.

%prep
%setup -q -n radiusplugin_v%{version}_%{subver}
%patch0 -p0

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -shared -fPIC -DPIC" \
	CXXFLAGS="%{rpmcflags} -shared -fPIC -DPIC" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}}

cp -a radiusplugin.so $RPM_BUILD_ROOT%{_libdir}
cp -a radiusplugin.cnf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusplugin.cnf
%attr(755,root,root) %{_libdir}/radiusplugin.so
%changelog
* Wed Jul 22 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/openvpn-plugin-radiusplugin.git;a=log;h=master

* Wed Jul 22 2015 Marcin Krol <hawk@tld-linux.org> 7c2327a
- release 2

* Wed Sep 08 2010 hawk <hawk@pld-linux.org> 129f460
- updated to 2.1a beta1

* Fri May 21 2010 hawk <hawk@pld-linux.org> cc93228
- updated to 2.1 beta9

* Fri May 21 2010 hawk <hawk@pld-linux.org> 2004399
- updated for beta9

* Sat Nov 14 2009 hawk <hawk@pld-linux.org> 3b82b75
- try to get it working :/

* Sat Nov 14 2009 hawk <hawk@pld-linux.org> 4c32674
- include subver in release

* Sat Nov 14 2009 hawk <hawk@pld-linux.org> ee5b441
- Makefile fixes

* Sat Nov 14 2009 hawk <hawk@pld-linux.org> eca980f
- new spec from scratch, plugin for Radius based authentication in OpenVPN

